<template>
  <div id="q-app">
    <router-view />
  </div>
</template>

<script lang="ts">
import ConfigStore from './store/config';

export default {
  created: function() {
    ConfigStore.actions.applyGlobalConfig();
    // TODO 3 add correct typing to Vue
    // It says $i18n property doesn't exist in vue otherwise
    // eslint-disable-next-line @typescript-eslint/ban-ts-ignore
    // @ts-ignore
    // this.$i18n.locale = 'hu';
  },
  name: 'App',
}
</script>
